commit:     d5b406a433e67072543f23ebaf34bfb5b6d4eec6
Author:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 18 20:28:24 2023 +0000
Commit:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Mon Dec 18 20:29:12 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5b406a4

app-portage/pfl: add 3.3.1

Closes: https://bugs.gentoo.org/920255
Signed-off-by: Daniel Pielmeier <billie <AT> gentoo.org>

 app-portage/pfl/Manifest         |  1 +
 app-portage/pfl/pfl-3.3.1.ebuild | 49 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/app-portage/pfl/Manifest b/app-portage/pfl/Manifest
index 8723c3e66a43..679852ffa3d0 100644
--- a/app-portage/pfl/Manifest
+++ b/app-portage/pfl/Manifest
@@ -1 +1,2 @@
 DIST pfl-3.2.1.tar.gz 5655 BLAKE2B 
1ebfccca48ac090c6467cfd7a63a488a72e723f8f31d9eb5e8494b74666e20f9e4372fed829e0114295210a76ec9debc9fdd5236340a7740eb1ccfbbc5aaa48b
 SHA512 
967ebe2baed50cd1ed0549d000e2bb240e55c0988d74e492f114fe16b328978ad062606e568dcbe65bcb78738388b1447c823bd1fa31a979d10a4be7a5c7984a
+DIST pfl-3.3.1.tar.gz 17810 BLAKE2B 
29f180be8b8ca65830da72c191fa38088cdd542340e34f144e8be307deff6689dab9e7abbf1ef6be44fefc95d9c1033d9f6a0a4d423eaa5c9ec29bd9f54ec7a8
 SHA512 
238933674650ef116c897162894141cbf7c3c1d029453b9226fb0d65138706f89f9a737e44ca7e85a50d7996c1680eb66e5c4357cfcbbb01a29a67398201bda9

diff --git a/app-portage/pfl/pfl-3.3.1.ebuild b/app-portage/pfl/pfl-3.3.1.ebuild
new file mode 100644
index 000000000000..a209f77e6ae3
--- /dev/null
+++ b/app-portage/pfl/pfl-3.3.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 systemd
+
+DESCRIPTION="Searchable online file/package database for Gentoo"
+HOMEPAGE="https://www.portagefilelist.de 
https://github.com/portagefilelist/client";
+SRC_URI="https://github.com/portagefilelist/client/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux ~x64-macos"
+IUSE="+network-cron"
+
+RDEPEND="
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/termcolor[${PYTHON_USEDEP}]
+       sys-apps/portage[${PYTHON_USEDEP}]
+       network-cron? ( sys-apps/util-linux[caps] )
+"
+
+S="${WORKDIR}/client-${PV}"
+
+python_install_all() {
+       if use network-cron ; then
+               exeinto /etc/cron.weekly
+               doexe cron/pfl
+       fi
+
+       systemd_dounit systemd/pfl.{service,timer}
+
+       keepdir /var/lib/${PN}
+
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       if [[ ! -e "${EROOT}/var/lib/${PN}/pfl.info" ]]; then
+               touch "${EROOT}/var/lib/${PN}/pfl.info" || die
+       fi
+       chown -R portage:portage "${EROOT}/var/lib/${PN}" || die
+       chmod 775 "${EROOT}/var/lib/${PN}" || die
+}

Reply via email to